rem @echo off
rem "Default Shader"
glslangValidator -DSAMPLERS_DEFAULT  -V   glsl.vert -o samp_def.vert.spv
glslangValidator -DSAMPLERS_DEFAULT  -V   glsl.frag -o samp_def.frag.spv
glslangValidator -DSAMPLERS_DEFAULT -DEFFECT_COLOR_MULT -V   glsl.vert -o samp_def_ef_color_mult.vert.spv
glslangValidator -DSAMPLERS_DEFAULT -DEFFECT_COLOR_MULT -V   glsl.frag -o samp_def_ef_color_mult.frag.spv
rem "Shader with two textures"
glslangValidator -DSAMPLERS_0RGB1ALPHA -V glsl.vert -o samp_0rgb1alpha.vert.spv
glslangValidator -DSAMPLERS_0RGB1ALPHA -V glsl.frag -o samp_0rgb1alpha.frag.spv
glslangValidator -DSAMPLERS_0RGB1ALPHA -DEFFECT_COLOR_MULT -V   glsl.vert -o samp_0rgb1alpha_ef_color_mult.vert.spv
glslangValidator -DSAMPLERS_0RGB1ALPHA -DEFFECT_COLOR_MULT -V   glsl.frag -o samp_0rgb1alpha_ef_color_mult.frag.spv
rem "Shader with effect: Ambient with light"
glslangValidator -DSAMPLERS_DEFAULT    -DEFFECT_AMBIENT_WITH_LIGHT -V glsl.vert -o samp_def_ef_amb_with_light.vert.spv
glslangValidator -DSAMPLERS_DEFAULT    -DEFFECT_AMBIENT_WITH_LIGHT -V glsl.frag -o samp_def_ef_amb_with_light.frag.spv
glslangValidator -DSAMPLERS_0RGB1ALPHA -DEFFECT_AMBIENT_WITH_LIGHT -V glsl.vert -o samp_0rgb1alpha_ef_amb_with_light.vert.spv
glslangValidator -DSAMPLERS_0RGB1ALPHA -DEFFECT_AMBIENT_WITH_LIGHT -V glsl.frag -o samp_0rgb1alpha_ef_amb_with_light.frag.spv
glslangValidator -DSAMPLERS_DEFAULT    -DEFFECT_AMBIENT_WITH_LIGHT -DEFFECT_COLOR_MULT -V glsl.vert -o samp_def_ef_color_mult_ef_amb_with_light.vert.spv
glslangValidator -DSAMPLERS_DEFAULT    -DEFFECT_AMBIENT_WITH_LIGHT -DEFFECT_COLOR_MULT -V glsl.frag -o samp_def_ef_color_mult_ef_amb_with_light.frag.spv
glslangValidator -DSAMPLERS_0RGB1ALPHA -DEFFECT_AMBIENT_WITH_LIGHT -DEFFECT_COLOR_MULT -V glsl.vert -o samp_0rgb1alpha_ef_color_mult_ef_amb_with_light.vert.spv
glslangValidator -DSAMPLERS_0RGB1ALPHA -DEFFECT_AMBIENT_WITH_LIGHT -DEFFECT_COLOR_MULT -V glsl.frag -o samp_0rgb1alpha_ef_color_mult_ef_amb_with_light.frag.spv
rem "Shader with effect: Alpha gradient"
glslangValidator -DSAMPLERS_DEFAULT    -DEFFECT_ALPHA_GRADIENT     -V glsl.vert -o samp_def_ef_alpha_gradient.vert.spv
glslangValidator -DSAMPLERS_DEFAULT    -DEFFECT_ALPHA_GRADIENT     -V glsl.frag -o samp_def_ef_alpha_gradient.frag.spv
glslangValidator -DSAMPLERS_0RGB1ALPHA -DEFFECT_ALPHA_GRADIENT     -V glsl.vert -o samp_0rgb1alpha_ef_alpha_gradient.vert.spv
glslangValidator -DSAMPLERS_0RGB1ALPHA -DEFFECT_ALPHA_GRADIENT     -V glsl.frag -o samp_0rgb1alpha_ef_alpha_gradient.frag.spv
glslangValidator -DSAMPLERS_DEFAULT    -DEFFECT_ALPHA_GRADIENT -DEFFECT_COLOR_MULT -V glsl.vert -o samp_def_ef_color_mult_ef_alpha_gradient.vert.spv
glslangValidator -DSAMPLERS_DEFAULT    -DEFFECT_ALPHA_GRADIENT -DEFFECT_COLOR_MULT -V glsl.frag -o samp_def_ef_color_mult_ef_alpha_gradient.frag.spv
glslangValidator -DSAMPLERS_0RGB1ALPHA -DEFFECT_ALPHA_GRADIENT -DEFFECT_COLOR_MULT -V glsl.vert -o samp_0rgb1alpha_ef_color_mult_ef_alpha_gradient.vert.spv
glslangValidator -DSAMPLERS_0RGB1ALPHA -DEFFECT_ALPHA_GRADIENT -DEFFECT_COLOR_MULT -V glsl.frag -o samp_0rgb1alpha_ef_color_mult_ef_alpha_gradient.frag.spv
rem "Shader with effect: YUVY to RGBA"
glslangValidator -DSAMPLERS_DEFAULT    -DEFFECT_YUVY_TO_RGBA       -V glsl.vert -o samp_def_ef_yuvy_to_rgba.vert.spv
glslangValidator -DSAMPLERS_DEFAULT    -DEFFECT_YUVY_TO_RGBA       -V glsl.frag -o samp_def_ef_yuvy_to_rgba.frag.spv
glslangValidator -DSAMPLERS_0RGB1ALPHA -DEFFECT_YUVY_TO_RGBA       -V glsl.vert -o samp_0rgb1alpha_ef_yuvy_to_rgba.vert.spv
glslangValidator -DSAMPLERS_0RGB1ALPHA -DEFFECT_YUVY_TO_RGBA       -V glsl.frag -o samp_0rgb1alpha_ef_yuvy_to_rgba.frag.spv
glslangValidator -DSAMPLERS_DEFAULT    -DEFFECT_YUVY_TO_RGBA -DEFFECT_COLOR_MULT -V glsl.vert -o samp_def_ef_color_mult_ef_yuvy_to_rgba.vert.spv
glslangValidator -DSAMPLERS_DEFAULT    -DEFFECT_YUVY_TO_RGBA -DEFFECT_COLOR_MULT -V glsl.frag -o samp_def_ef_color_mult_ef_yuvy_to_rgba.frag.spv
glslangValidator -DSAMPLERS_0RGB1ALPHA -DEFFECT_YUVY_TO_RGBA -DEFFECT_COLOR_MULT -V glsl.vert -o samp_0rgb1alpha_ef_color_mult_ef_yuvy_to_rgba.vert.spv
glslangValidator -DSAMPLERS_0RGB1ALPHA -DEFFECT_YUVY_TO_RGBA -DEFFECT_COLOR_MULT -V glsl.frag -o samp_0rgb1alpha_ef_color_mult_ef_yuvy_to_rgba.frag.spv

