#version 450
#extension GL_ARB_separate_shader_objects : enable

layout (push_constant) uniform PushConstants {
	mat4 proj;
} pushConstants;

layout(location = 0) in  vec3 inPosition;
layout(location = 1) in  vec2 inTexCoord;
layout(location = 2) in  vec4 inColor;

layout(location = 0) out vec4 outColor;
layout(location = 1) out vec2 outTexCoord;

#ifdef EFFECT_AMBIENT_WITH_LIGHT
layout(location = 2) out vec4 outScreenCoord;
#endif

void main() {
    gl_Position 	= pushConstants.proj * vec4(inPosition,1.0);
    outColor    	= inColor;
    outTexCoord 	= inTexCoord;
#ifdef EFFECT_AMBIENT_WITH_LIGHT
	outScreenCoord	= gl_Position / gl_Position.w;
#endif
}
